Permalink
Browse files

Depends on rb-fsevent >= 0.3.5 for ruby 1.8.6 support

  • Loading branch information...
1 parent 9c89577 commit edeaa1e864a4b01c9daa9888e979052045e18df3 @thibaudgg thibaudgg committed Oct 26, 2010
Showing with 5 additions and 4 deletions.
  1. +1 −1 Gemfile
  2. +2 −1 README.rdoc
  3. +2 −2 lib/guard/listeners/darwin.rb
View
@@ -5,7 +5,7 @@ gemspec
require 'rbconfig'
if Config::CONFIG['target_os'] =~ /darwin/i
- gem 'rb-fsevent', '>= 0.3.4'
+ gem 'rb-fsevent', '>= 0.3.5'
gem 'growl', '~> 1.0.3'
end
if Config::CONFIG['target_os'] =~ /linux/i
View
@@ -4,7 +4,7 @@ Guard is a command line tool to easly handle events on files modifications.
== Features
-- {FSEvent}[http://en.wikipedia.org/wiki/FSEvents] support on Mac OS X 10.5+ (without RubyCocoa!, {rb-fsevent gem, >= 0.3.4}[https://rubygems.org/gems/rb-fsevent] required)
+- {FSEvent}[http://en.wikipedia.org/wiki/FSEvents] support on Mac OS X 10.5+ (without RubyCocoa!, {rb-fsevent gem, >= 0.3.5}[https://rubygems.org/gems/rb-fsevent] required)
- {Inotify}[http://en.wikipedia.org/wiki/Inotify] support on Linux ({rb-inotify gem, >= 0.5.1}[https://rubygems.org/gems/rb-inotify] required)
- Polling for others (help us to support more systems)
- Super fast change detection (when polling not used)
@@ -87,6 +87,7 @@ Signal handlers are used to interact with Guard:
- {guard-compass}[http://github.com/guard/guard-compass]
- {guard-shell}[http://github.com/guard/guard-shell]
- {guard-bundler}[http://github.com/guard/guard-bundler]
+- {guard-passenger}[http://github.com/guard/guard-passenger]
guard ideas:
@@ -25,8 +25,8 @@ def stop
def self.usable?
require 'rb-fsevent'
- if !defined?(FSEvent::VERSION) || Gem::Version.new(FSEvent::VERSION) < Gem::Version.new('0.3.4')
- UI.info "Please update rb-fsevent (>= 0.3.4)"
+ if !defined?(FSEvent::VERSION) || Gem::Version.new(FSEvent::VERSION) < Gem::Version.new('0.3.5')
+ UI.info "Please update rb-fsevent (>= 0.3.5)"
false
else
true

0 comments on commit edeaa1e

Please sign in to comment.